commit:     a5709944da61c28e8dc769e75ab8163a44b10d0e
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Thu Jul 31 13:54:12 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 26 15:10:42 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5709944

x11-misc/fpm2: add 0.90.1 fix gcc15

bugfix release for pointer type and updated build system

update EAPI 7 -> 8

add [X] for gtk+
add x11-libs/gdk-pixbuf

patch for bashism in configure.ac (reported upstream by email)

Closes: https://bugs.gentoo.org/891155
Closes: https://bugs.gentoo.org/944276
Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/43265
Closes: https://github.com/gentoo/gentoo/pull/43265
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/fpm2/Manifest                            |  1 +
 x11-misc/fpm2/files/fpm2-0.90.1-fix_bashism.patch | 19 ++++++++++
 x11-misc/fpm2/fpm2-0.90.1.ebuild                  | 46 +++++++++++++++++++++++
 3 files changed, 66 insertions(+)

diff --git a/x11-misc/fpm2/Manifest b/x11-misc/fpm2/Manifest
index e3b4e237cc07..9791769dbd09 100644
--- a/x11-misc/fpm2/Manifest
+++ b/x11-misc/fpm2/Manifest
@@ -1 +1,2 @@
+DIST fpm2-0.90.1.tar.xz 209904 BLAKE2B 
d2d81bc87d85e440ebe2a135d936a9729cd3b259b9e9856a742df65651d9297149e345a2655d20bdd250afd5bbc04cbbe3e8bc5d31dbb5fa7a47cb95a3cd1c6a
 SHA512 
d06adc46b4c02a6dc512d3adea20a24bd31e507f496a3dc768154c12f59855af6610043a5dfe1491374b37c831324ba33e0f45afa81d53cb3681b96e7ccdef71
 DIST fpm2-0.90.tar.xz 212972 BLAKE2B 
2608b40fd39db18407da5625f07534021dee72456fe168ffcb0c7b1f0a86fae0c69cdec5a9bfbfd09838622afcf575051326b9be5c47eb69e0b089abc205f99f
 SHA512 
e02ebbc7af4202538b85394ef2e91d6fe7b11fbe6aaec5c5bd521d473b557db4ca8426810d1bef69967496071c936a789112307fbf028a8e3771d792c97495b6

diff --git a/x11-misc/fpm2/files/fpm2-0.90.1-fix_bashism.patch 
b/x11-misc/fpm2/files/fpm2-0.90.1-fix_bashism.patch
new file mode 100644
index 000000000000..ab3bb7d6cf75
--- /dev/null
+++ b/x11-misc/fpm2/files/fpm2-0.90.1-fix_bashism.patch
@@ -0,0 +1,19 @@
+Fix bashism
+Reported upstream by email
+--- a/configure.ac
++++ b/configure.ac
+@@ -16,11 +16,11 @@ fpm2_CFLAGS="${x11_CFLAGS} ${libxml2_CFLAGS} 
${nettle_CFLAGS} "
+ fpm2_LIBS="${x11_LIBS} ${libxml2_LIBS} ${nettle_LIBS} "
+ 
+ PKG_CHECK_MODULES([gtk3], [gtk+-3.0])
+-fpm2_CFLAGS+="${gtk3_CFLAGS} "
+-fpm2_LIBS+="${gtk3_LIBS} "
++fpm2_CFLAGS="${fpm2_CFLAGS} ${gtk3_CFLAGS} "
++fpm2_LIBS="${fpm2_LIBS} ${gtk3_LIBS} "
+ 
+ # Get rid of deprecated GTK3 mess
+-fpm2_CFLAGS+="-Wno-deprecated-declarations"
++fpm2_CFLAGS="${fpm2_CFLAGS} -Wno-deprecated-declarations"
+ 
+ AC_SUBST(fpm2_CFLAGS)
+ AC_SUBST(fpm2_LIBS)

diff --git a/x11-misc/fpm2/fpm2-0.90.1.ebuild b/x11-misc/fpm2/fpm2-0.90.1.ebuild
new file mode 100644
index 000000000000..141f3bff4756
--- /dev/null
+++ b/x11-misc/fpm2/fpm2-0.90.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools optfeature xdg
+
+DESCRIPTION="A GUI password manager utility with password generator"
+HOMEPAGE="https://als.regnet.cz/fpm2/";
+SRC_URI="https://als.regnet.cz/${PN}/download/${P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-libs/glib:2
+       dev-libs/libxml2:=
+       dev-libs/nettle:=
+       x11-libs/gtk+:3[X]
+       x11-libs/gdk-pixbuf:2
+       x11-libs/libX11
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.90.1-fix_bashism.patch
+)
+
+src_prepare() {
+       default
+       # gettext make check failure
+       echo "data/fpm2.desktop.in" >> po/POTFILES.in || die
+
+       # only because fix_bashism.patch
+       eautoreconf
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       optfeature "web launcher defined by default" x11-misc/xdg-utils
+}

Reply via email to